/*
Wireless Motion-Activated LED Display - RECIEVER
*                
* by Peter Burke
* 
* Library: TMRh20/RF24, https://github.com/tmrh20/RF24/
*/
//Libraries
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#include <Arduino.h>
#include "LED.h"


//Pin Definetions
#define LEDR_1_PIN_VIN	5
#define LEDR_2_PIN_VIN	6
#define LEDR_3_PIN_VIN	9
#define LEDR_4_PIN_VIN	10

RF24 radio(7, 8); // CE, CSN

const byte address[6] = "00001";

LED ledR_1(LEDR_1_PIN_VIN);
LED ledR_2(LEDR_2_PIN_VIN);
LED ledR_3(LEDR_3_PIN_VIN);
LED ledR_4(LEDR_4_PIN_VIN);


void setup() {
  Serial.begin(9600);
  radio.begin();
  radio.openReadingPipe(0, address);
  radio.setPALevel(RF24_PA_MIN);
  radio.startListening();
}

void loop() {
  if (radio.available() == 1) {
    char text[32] = "";
    radio.read(&text, sizeof(text));
    Serial.println(text);
    if(text[0] == 'H'){
      Serial.println("Hello World");
      ledR_3.on();
      ledR_1.on();
      ledR_2.on();
      ledR_4.on();                     
      delay(5000);                                                                        
      ledR_3.off();
      ledR_1.off();
      ledR_2.off();
      ledR_4.off();      
    }
    else{
      Serial.println("Hello Not");
      ledR_2.on();
      delay(1000); 
      ledR_2.off();
      delay(1000);    
    }
  }
  else{
      Serial.println("Hello No");
      ledR_1.on();
      delay(5000); 
      ledR_1.off();
      delay(5000);                          
  }
}
